  SUBROUTINE tssub_advdify(sal,temp &

                          ,cv_wat   &

                           )

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE tssub_advdify  ***
!&E
!&E ** Purpose : call the good advection scheme depending of the cpp key
!&E
!&E ** Description :
!&E
!&E ** Called by :
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : temp,sal,cv_wat
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2008-09  (V. Garnier)  Original code
!&E       !  2009-04  (A. Mano, V. Garnier) MPI2D
!&E
!&E---------------------------------------------------------------------
!! Modules used
   USE parameters, ONLY : rsh,imin,imax,jmin,jmax,kmax,        &
                          limin,limax,liminm1,limaxp1,limaxp2, &
                          ljmin,ljmax,ljminm1,ljminm2,ljmaxp2

   USE parameters, ONLY : nb_var



!! * Arguments
   REAL(KIND=rsh),DIMENSION(kmax,liminm1:limaxp2,ljminm1:ljmaxp2),       INTENT(in) :: temp,sal

   REAL(KIND=rsh),DIMENSION(nb_var,kmax,liminm1:limaxp2,ljminm1:ljmaxp2),INTENT(in) :: cv_wat


!!----------------------------------------------------------------------
!! * Executable part


   CALL tssub_advdify_uq(sal,temp        &

                                 ,cv_wat &

                                         )



  END SUBROUTINE tssub_advdify
